Show / Hide Table of Contents

# Enum RuntimeOptions

Options that a plugin must specify to describe how it expects to be run.

###### Namespace: IPA

###### Assembly: IPA.Loader.dll

##### Syntax

    public enum RuntimeOptions

### Fields

Name | Description
--- | ---
DynamicInit | Indicates that this plugin supports runtime enabling and disabling. When this is set, the plugin may be disabled at reasonable points during runtime. As with SingleStartInit, it will be initialized and enabled with the game if it is enabled on startup, and disabled with the game if it is enabled on shutdown. When a plugin with this set is enabled mid-game, the first time it is enabled, its initialization methods will be called, then its enable methods. All subsequent enables will NOT re-initialize, however the enable methods will be called. When a plugin with this set is disabled mid-game, the plugin instance will NOT be destroyed, and will instead be re-used for subsequent enables. The plugin is expected to handle this gracefully, and behave in a way that makes sense.
SingleStartInit | Indicates that this plugin expects to be initialized and enabled with the game, and disabled with the game. With this option set, whether or not the plugin is disabled during a given run is constant for that entire run.

##### See Also

PluginAttribute
InitAttribute
OnEnableAttribute
OnDisableAttribute
OnStartAttribute
OnExitAttribute

### Extension Methods

ReflectionUtil.SetField<RuntimeOptions, U>(String, U)
ReflectionUtil.GetField<U, RuntimeOptions>(String)
ReflectionUtil.SetProperty<RuntimeOptions, U>(String, U)
ReflectionUtil.GetProperty<U, RuntimeOptions>(String)
ReflectionUtil.InvokeMethod<U, RuntimeOptions>(String, Object[])